"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
require("mocha");
const community_1 = require("./community");
describe('default community', () => {
    it('works with no options', () => __awaiter(void 0, void 0, void 0, function* () {
        const c = yield community_1.Community.getDefault();
        chai_1.expect(c).to.exist;
    }));
    it('works with a local community', () => __awaiter(void 0, void 0, void 0, function* () {
        let c = yield community_1.Community.getDefault();
        c = yield c.start();
        chai_1.expect(c).to.exist;
    }));
    it('allows setting the default', () => __awaiter(void 0, void 0, void 0, function* () {
        let c = yield community_1.Community.getDefault();
        community_1.Community.setDefault(c);
        let defaultC = yield community_1.Community.getDefault();
        chai_1.expect(defaultC).to.equal(c);
    }));
    it('always gives you the same community', () => __awaiter(void 0, void 0, void 0, function* () {
        let cp1 = community_1.Community.getDefault();
        let cp2 = community_1.Community.getDefault();
        let [c1, c2] = yield Promise.all([cp1, cp2]);
        chai_1.expect(c1).to.equal(c2);
    }));
});
