"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const libp2p = require('./js/p2p');
/**
 * @public
 */
var p2p;
(function (p2p) {
    /**
     *
     * @param opts - {@link INodeOptions}
     * @public
     */
    function createNode(opts) {
        return __awaiter(this, void 0, void 0, function* () {
            return libp2p.CreateNode({
                namespace: opts.namespace,
                config: {
                    peerDiscovery: {
                        bootstrap: {
                            list: opts.bootstrapAddresses
                        }
                    }
                }
            });
        });
    }
    p2p.createNode = createNode;
})(p2p = exports.p2p || (exports.p2p = {}));
